#include <iostream>

using namespace std;

int main()
{
    long long n, m; cin >> n >> m;

    long long rez = 2 * (n + m) - 4;
    long long dodaj = (n - 2) * (m - 2);
    dodaj /= 2;
    rez += dodaj;

    cout << rez;

    return 0;
}